import { AATreeNode } from './aaTreeNode';
import { LinkedNode } from 'src/list';
import { Edge } from './binaryTreeUtils';
/**
 * @internal
 */
export declare function remove<T>(stack: LinkedNode<Edge<AATreeNode<T>>>): boolean;
/**
 * @internal
 */
export declare function skew<T>(node?: undefined): undefined;
export declare function skew<T>(node: AATreeNode<T>): AATreeNode<T>;
export declare function skew<T>(node?: AATreeNode<T>): AATreeNode<T> | undefined;
/**
 * @internal
 */
export declare function split<T>(node?: undefined): undefined;
export declare function split<T>(node: AATreeNode<T>): AATreeNode<T>;
export declare function split<T>(node?: AATreeNode<T>): AATreeNode<T> | undefined;
