/**
 * Special thanks to [Gil Hamilton and MaksymB](https://cs.stackexchange.com/a/67818)
 * in understanding balance factor changes after rotations
 */
import { AVLTreeNode } from './avlTreeNode';
import { Edge } from './binaryTreeUtils';
import { LinkedNode } from 'src/list';
/**
 * @internal
 */
export declare function balance<T>(node: AVLTreeNode<T>): AVLTreeNode<T>;
/**
 * @internal
 */
export declare function remove<T>(stack: LinkedNode<Edge<AVLTreeNode<T>>>): boolean;
/**
 * @internal
 */
export declare function rotateL<T>(P: AVLTreeNode<T>): AVLTreeNode<T>;
/**
 * @internal
 */
export declare function rotateR<T>(P: AVLTreeNode<T>): AVLTreeNode<T>;
